<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
  PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ozs.account.mapper.AccountInfoMapper">
	<select id="login" resultType="com.ozs.account.dto.UserDTO">
		select
		id,
		nickname,
		user_type,
		theme
		from
		dc_info_user
		where
		username=#{username} and
		password=#{password}
	</select>

	<!--修改主题风格 -->
	<update id="changeTheme">
		update dc_info_user
		set theme = #{theme}
		where id =
		#{id}
	</update>
	<select id="getUserType" resultType="com.ozs.account.dto.UserDTO">
		select
		id,
		nickname,
		user_type,
		theme
		from
		dc_info_user
		where
		id = #{userId}
	</select>
</mapper>